class Thermostat
  attr_accessor :current_value, :wanted_value, :range
  # Initialize the thermostats current value, wanted value and range.
  def initialize(current_value = 19, wanted_value = 20, range = 1)
    @current_value = current_value
    @wanted_value = wanted_value
    @range = range
  end

  def wanted(wanted_value)
    @wanted_value = wanted_value
  end

  def update_current(current_value)
    @current_value = current_value
  end
  # Determines if it is necessary to put on the airco.

  def set_airco
    if @current_value > (@wanted_value + @range / 2)
      puts 'airco'
    elsif @current_value > (@wanted_value - @range / 2)
      puts 'Not to hot, not to cold ;)'
    end
  end
  # Determines if it is necessary to put on the heating.

  def set_heating
    if @current_value < (@wanted_value - @range / 2)
      puts 'heating'
    elsif @current_value < (@wanted_value + @range / 2)
      puts 'Not to hot, not to cold ;)'
    end
  end
end
